com.interactivemesh.jfx.importer.col

## Class ColAsset.Contributor

- java.lang.Object
- - com.interactivemesh.jfx.importer.col.ColAsset.Contributor

- Enclosing class:
    ColAsset

      public static final class ColAsset.Contributor
      extends java.lang.Object

  A Contributor object provides authoring information.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAuthor()` Gets the name of the author.
    `java.lang.String` | `getAuthorEmail()` Gets the email address of the author.
    `java.lang.String` | `getAuthoringTool()` Gets the name of the authoring tool.
    `java.lang.String` | `getAuthorWebsite()` Gets the URL of the author's website.
    `java.lang.String` | `getComments()` Gets the comments of the contributor.
    `java.lang.String` | `getCopyright()` Gets the copyright information.
    `java.lang.String` | `getSourceData()` Gets a URI reference to the source data

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAuthor

          public java.lang.String getAuthor()

      Gets the name of the author.
      Returns:
        author's name or `null`

    - #### getAuthorEmail

          public java.lang.String getAuthorEmail()

      Gets the email address of the author.

      Since COLLADA version 1.5.0.

      Returns:
        author's email address or `null`

    - #### getAuthorWebsite

          public java.lang.String getAuthorWebsite()

      Gets the URL of the author's website.

      Since COLLADA version 1.5.0.

      Returns:
        author's website or `null`

    - #### getAuthoringTool

          public java.lang.String getAuthoringTool()

      Gets the name of the authoring tool.
      Returns:
        authoring tool's name or `null`

    - #### getComments

          public java.lang.String getComments()

      Gets the comments of the contributor.
      Returns:
        contributor's comments or `null`

    - #### getCopyright

          public java.lang.String getCopyright()

      Gets the copyright information.
      Returns:
        copyright information or `null`

    - #### getSourceData

          public java.lang.String getSourceData()

      Gets a URI reference to the source data
      Returns:
        source data reference or `null`

Copyright (C) 2013-2014 InteractiveMesh e.K.